--- title: "Get assignment IP ACL list" slug: "get-assignments-ip-acls" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-assignments-ip-acls" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get assignment IP ACL list Available in Classic and VPC Get the list of IP ACLs added to an assignment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/assignments/{assignmentId}/ip-acls | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignmentId` | String | Required | Assignment ID - See [Get assignment list](/docs/en/get-assignments) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/assignments/e1653f17-****-****-****-deb664fb8a2f/ip-acls' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `consoleAccessIpAcls` | Array | - | Console-accessible IP ACL list: [consoleAccessIpAcls](/docs/en/get-assignments-ip-acls#consoleAccessIpAcls) | | `apiAccessIpAcls` | Array | - | API Gateway-accessible IP ACL list: [apiAccessIpAcls](/docs/en/get-assignments-ip-acls#apiAccessIpAcls) | #### `consoleAccessIpAcls` The following describes `consoleAccessIpAcls`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `ipAclId` | String | - | IP ACL ID | | `ipAclName` | String | - | IP ACL name | | `description` | String | - | IP ACL description | | `nrn` | String | - | NAVER Cloud Platform resource identification value for IP ACL | | `accessIps` | Array | - | List of accessible IP ACLs - If no IP ACL is added, an empty value `[]` is displayed | | `createdAt` | String | - | IP ACL creation date and time - ISO 8601 format | | `updatedAt` | String | - | IP ACL modification date and time - ISO 8601 format | #### `apiAccessIpAcls` The following describes `apiAccessIpAcls`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `ipAclId` | String | - | IP ACL ID | | `ipAclName` | String | - | IP ACL name | | `description` | String | - | IP ACL description | | `nrn` | String | - | NAVER Cloud Platform resource identification value for IP ACL | | `accessIps` | Array | - | List of accessible IP ACLs - If no IP ACL is added, an empty value `[]` is displayed | | `createdAt` | String | - | IP ACL creation date and time - ISO 8601 format | | `updatedAt` | String | - | IP ACL modification date and time - ISO 8601 format | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "consoleAccessIpAcls" : [ { "ipAclId" : "5bf4cad0-****-****-****-cd51bba3fe23", "ipAclName" : "ipacl000", "description" : "ipacl decription", "nrn" : "nrn:PUB:SSO::*******:IPACL/5bf4cad0-****-****-****-cd51bba3fe23", "accessIps" : [ "***.***.***.***" ], "createdAt" : "2025-01-13T06:33:19Z", "updatedAt" : "2025-01-13T06:36:29Z" } ], "apiAccessIpAcls" : [ { "ipAclId" : "5bf4cad0-****-****-****-cd51bba3fe23", "ipAclName" : "ipacl000", "description" : "ipacl decription", "nrn" : "nrn:PUB:SSO::*******:IPACL/5bf4cad0-****-****-****-cd51bba3fe23", "accessIps" : [ "***.***.***.***" ], "createdAt" : "2025-01-13T06:33:19Z", "updatedAt" : "2025-01-13T06:36:29Z" } ] } ```